Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1564255 - [RFE] CFME 5.9.4 - create migration plan and schedule when to run
Summary: [RFE] CFME 5.9.4 - create migration plan and schedule when to run
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
low
Target Milestone: GA
: 5.10.0
Assignee: Marco Berube
QA Contact: Yadnyawalk Tale
Steve Bream
URL:
Whiteboard: v2v
Depends On:
Blocks: 1564236 1608351
TreeView+ depends on / blocked
 
Reported: 2018-04-05 19:25 UTC by Brett Thurber
Modified: 2019-02-11 14:07 UTC (History)
13 users (show)

Fixed In Version: 5.10.0.8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1608351 (view as bug list)
Environment:
Last Closed: 2019-02-11 14:07:56 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)

Description Brett Thurber 2018-04-05 19:25:24 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Dave Johnson 2018-04-05 19:45:48 UTC
Please assess the impact of this issue and update the severity accordingly.  Please refer to https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity for a reminder on each severity's definition.

If it's something like a tracker bug where it doesn't matter, please set the severity to Low.

Comment 3 Dave Johnson 2018-04-05 20:04:40 UTC
Please assess the impact of this issue and update the severity accordingly.  Please refer to https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity for a reminder on each severity's definition.

If it's something like a tracker bug where it doesn't matter, please set the severity to Low.

Comment 10 CFME Bot 2018-07-09 18:15:47 UTC
New commit detected on ManageIQ/manageiq/master:

https://github.com/ManageIQ/manageiq/commit/d2a2db1a38190c9ce1e6e5520afede388217ec93
commit d2a2db1a38190c9ce1e6e5520afede388217ec93
Author:     Brandon Dunne <brandondunne@hotmail.com>
AuthorDate: Thu Jul  5 17:39:13 2018 -0400
Commit:     Brandon Dunne <brandondunne@hotmail.com>
CommitDate: Thu Jul  5 17:39:13 2018 -0400

    Add ServiceTemplate#miq_schedules relation

    https://bugzilla.redhat.com/show_bug.cgi?id=1564255

 app/models/service_template.rb | 5 +
 1 file changed, 5 insertions(+)

Comment 11 CFME Bot 2018-07-09 18:45:24 UTC
New commit detected on ManageIQ/manageiq-api/master:

https://github.com/ManageIQ/manageiq-api/commit/c58d1d4285234a88567a5f04310440fed82d9872
commit c58d1d4285234a88567a5f04310440fed82d9872
Author:     Brandon Dunne <brandondunne@hotmail.com>
AuthorDate: Thu Jul  5 17:31:14 2018 -0400
Commit:     Brandon Dunne <brandondunne@hotmail.com>
CommitDate: Thu Jul  5 17:31:14 2018 -0400

    Add ServiceTemplate#schedules subcollection

    https://bugzilla.redhat.com/show_bug.cgi?id=1564255

 app/controllers/api/service_templates_controller.rb | 4 +
 config/api.yml | 1 +
 spec/requests/service_templates_spec.rb | 66 +
 3 files changed, 71 insertions(+)

Comment 13 CFME Bot 2018-07-11 15:23:52 UTC
New commit detected on ManageIQ/manageiq-api/master:

https://github.com/ManageIQ/manageiq-api/commit/16713448f456316bf1f7173a181f5acee8ddb0f4
commit 16713448f456316bf1f7173a181f5acee8ddb0f4
Author:     Brandon Dunne <brandondunne@hotmail.com>
AuthorDate: Mon Jul  9 16:08:49 2018 -0400
Commit:     Brandon Dunne <brandondunne@hotmail.com>
CommitDate: Mon Jul  9 16:08:49 2018 -0400

    Add DELETE service_templates/X/schedules/X

    https://bugzilla.redhat.com/show_bug.cgi?id=1564255

 app/controllers/api/service_templates_controller.rb | 5 +
 config/api.yml | 11 +-
 spec/requests/service_templates_spec.rb | 54 +
 3 files changed, 69 insertions(+), 1 deletion(-)

Comment 17 CFME Bot 2018-07-13 13:06:04 UTC
New commit detected on ManageIQ/manageiq/master:

https://github.com/ManageIQ/manageiq/commit/0b358b8dc381d3a8721e935a5d38e460c78251fe
commit 0b358b8dc381d3a8721e935a5d38e460c78251fe
Author:     Brandon Dunne <brandondunne@hotmail.com>
AuthorDate: Thu Jul 12 09:46:46 2018 -0400
Commit:     Brandon Dunne <brandondunne@hotmail.com>
CommitDate: Thu Jul 12 09:46:46 2018 -0400

    Ensure MiqSchedule#name is unique for ServiceTemplate orders

    https://bugzilla.redhat.com/show_bug.cgi?id=1564255

 app/models/service_template.rb | 4 +-
 spec/models/service_template_spec.rb | 15 +-
 2 files changed, 15 insertions(+), 4 deletions(-)

Comment 18 CFME Bot 2018-07-16 13:33:29 UTC
New commit detected on ManageIQ/manageiq-api/master:

https://github.com/ManageIQ/manageiq-api/commit/a9ff6ce6e2ee325912e72b97d2867157ed259068
commit a9ff6ce6e2ee325912e72b97d2867157ed259068
Author:     Brandon Dunne <brandondunne@hotmail.com>
AuthorDate: Fri Jul 13 08:35:00 2018 -0400
Commit:     Brandon Dunne <brandondunne@hotmail.com>
CommitDate: Fri Jul 13 08:35:00 2018 -0400

    Ensure MiqSchedule#name is unique

    https://bugzilla.redhat.com/show_bug.cgi?id=1564255

 spec/requests/service_templates_spec.rb | 13 +-
 1 file changed, 6 insertions(+), 7 deletions(-)

Comment 19 Brett Thurber 2018-07-23 16:05:38 UTC
@Ytale, this should be available in nightly and testable.

Comment 21 Yadnyawalk Tale 2018-07-25 11:39:23 UTC
@Brett, I checked it on upstream/master.20180723223120_9824734 (by bin/updating) and Schedule/Unscheduled worked well.

While testing, I also considered BZ1603057 (which is fixed now), so it is triggering migration on exact time after setting correct timezone+datetime.

Comment 23 CFME Bot 2018-07-25 14:23:14 UTC
New commit detected on ManageIQ/manageiq-api/master:

https://github.com/ManageIQ/manageiq-api/commit/fdce501c126b27d95607b9bc3e20738f8f1b3775
commit fdce501c126b27d95607b9bc3e20738f8f1b3775
Author:     Brandon Dunne <brandondunne@hotmail.com>
AuthorDate: Tue Jul 10 17:29:51 2018 -0400
Commit:     Brandon Dunne <brandondunne@hotmail.com>
CommitDate: Tue Jul 10 17:29:51 2018 -0400

    Allow ServiceTemplate Schedule updates

    https://bugzilla.redhat.com/show_bug.cgi?id=1564255

 app/controllers/api/subcollections/schedules.rb | 7 +
 config/api.yml | 6 +-
 spec/requests/service_templates_spec.rb | 39 +
 3 files changed, 51 insertions(+), 1 deletion(-)

Comment 25 CFME Bot 2018-07-25 21:43:57 UTC
New commit detected on ManageIQ/manageiq-api/gaprindashvili:

https://github.com/ManageIQ/manageiq-api/commit/fbcc517a537d1c49c4b3928297f14cc35c9fa22d
commit fbcc517a537d1c49c4b3928297f14cc35c9fa22d
Author:     Alberto Bellotti <abellotti@users.noreply.github.com>
AuthorDate: Wed Jul 25 10:18:24 2018 -0400
Commit:     Alberto Bellotti <abellotti@users.noreply.github.com>
CommitDate: Wed Jul 25 10:18:24 2018 -0400

    Merge pull request #417 from bdunne/edit_schedules_for_service_templates

    Edit schedules for service templates
    (cherry picked from commit 64345d2440cd1504343c7021ac3654fac7bf0a76)

    https://bugzilla.redhat.com/show_bug.cgi?id=1564255

 app/controllers/api/reports_controller.rb | 5 +-
 app/controllers/api/service_templates_controller.rb | 18 +-
 app/controllers/api/subcollections/schedules.rb | 14 +-
 config/api.yml | 6 +-
 spec/requests/service_templates_spec.rb | 39 +
 5 files changed, 66 insertions(+), 16 deletions(-)

Comment 26 CFME Bot 2018-07-30 22:08:19 UTC
New commits detected on ManageIQ/manageiq-api/master:

https://github.com/ManageIQ/manageiq-api/commit/0be69b64dba415dd539c4691e161c6a3c0a2dbfd
commit 0be69b64dba415dd539c4691e161c6a3c0a2dbfd
Author:     Brandon Dunne <brandondunne@hotmail.com>
AuthorDate: Fri Jul 27 15:14:57 2018 -0400
Commit:     Brandon Dunne <brandondunne@hotmail.com>
CommitDate: Fri Jul 27 15:14:57 2018 -0400

    Ensure the hash keys are symbolized before sending them to the model

    https://bugzilla.redhat.com/show_bug.cgi?id=1564255

 app/controllers/api/subcollections/schedules.rb | 2 +-
 spec/requests/service_templates_spec.rb | 11 +
 2 files changed, 12 insertions(+), 1 deletion(-)


https://github.com/ManageIQ/manageiq-api/commit/a3db9ee63ea03281310a38a0bbf4570beb6ae9e8
commit a3db9ee63ea03281310a38a0bbf4570beb6ae9e8
Author:     Brandon Dunne <brandondunne@hotmail.com>
AuthorDate: Fri Jul 27 15:15:17 2018 -0400
Commit:     Brandon Dunne <brandondunne@hotmail.com>
CommitDate: Fri Jul 27 15:15:17 2018 -0400

    Correct test names

    https://bugzilla.redhat.com/show_bug.cgi?id=1564255

 spec/requests/service_templates_spec.rb | 8 +-
 1 file changed, 4 insertions(+), 4 deletions(-)

Comment 27 Satoe Imaishi 2018-07-31 21:37:51 UTC
https://github.com/ManageIQ/manageiq-api/pull/400

Comment 29 Yadnyawalk Tale 2018-10-03 14:57:38 UTC
Great work! Scheduled migration works perfectly fine with failed migration too.
(Checked with assigning timezone and then it get automatically triggered on selected time)

Checked on: 5.10.0.17.20180927011235_1b5cf54


Note You need to log in before you can comment on or make changes to this bug.